GET /v1/models
curl --request GET \
--url https://api.example.com/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [],
"object": "list",
"models": [
{
"created": 123,
"object": "model",
"owned_by": "<string>",
"additional_speed_tiers": [
"<string>"
],
"apply_patch_tool_type": "freeform",
"auto_compact_token_limit": 123,
"auto_review_model_override": "<string>",
"availability_nux": {
"message": "<string>"
},
"available_access_programs": {
"cyber": [
"standard"
]
},
"available_in_plans": [
"<string>"
],
"base_instructions": "<string>",
"comp_hash": "<string>",
"context_window": 1,
"default_reasoning_level": "none",
"default_reasoning_summary": "auto",
"default_service_tier": "<string>",
"default_verbosity": "low",
"description": "<string>",
"display_name": "<string>",
"effective_context_window_percent": 123,
"experimental_supported_tools": [
"<string>"
],
"generation_methods": [
"<string>"
],
"guardian": {
"computer_use": "disabled",
"file_changes": "disabled",
"initial_cua_call": true,
"mcp": "disabled",
"network": "disabled",
"other_tools": "disabled",
"permissions": "disabled",
"sandboxed_exec_commands": true,
"shell": "disabled",
"unscored_action": "ignore"
},
"id": "<string>",
"include_apps_usage_instructions": true,
"include_plugin_usage_instructions": true,
"include_skills_usage_instructions": true,
"input_modalities": [
"<string>"
],
"instructions": "<string>",
"max_context_window": 1,
"max_output_tokens": 1,
"minimal_client_version": "<string>",
"model_messages": {
"approvals": {
"auto_review_suffix": "<string>",
"granular": {
"intro": "<string>",
"prompted_categories": "<string>",
"rejected_categories": "<string>"
},
"never": "<string>",
"on_request": "<string>",
"on_request_auto_review": "<string>",
"request_permissions": "<string>",
"unless_trusted": "<string>"
},
"apps": {
"usage_instructions": "<string>"
},
"auto_review": {
"node_repl_policy": "<string>",
"policy": "<string>",
"policy_template": "<string>",
"rejection_instructions": "<string>",
"timeout_instructions": "<string>"
},
"collaboration_modes": {
"default": "<string>",
"plan": "<string>"
},
"confirmation_policies": {
"browser_use": "<string>",
"computer_use": "<string>"
},
"content_filter_guidance": "<string>",
"guardian_v2": {
"async_classifier_conversation_token_limit": 1,
"async_classifier_mode": "snapshot",
"classifier_instructions": "<string>",
"max_action_tokens": 1,
"max_classifier_instruction_tokens": 1,
"max_parent_compaction_tokens": 1,
"max_tool_call_lag": 1,
"reasoning_effort": "none",
"reuse_parent_compaction": true,
"review_threshold_basis_points": 32767,
"transcript": {
"include_images": true,
"max_message_entry_tokens": 1,
"max_message_transcript_tokens": 1,
"max_recent_non_user_entries": 1,
"max_tool_entry_tokens": 1,
"max_tool_transcript_tokens": 1,
"sources": [
"<string>"
]
}
},
"instructions_template": "<string>",
"instructions_variables": {
"personality_default": "<string>",
"personality_friendly": "<string>",
"personality_pragmatic": "<string>"
},
"multi_agent": {
"mode": {
"explicit": "<string>",
"hint_text": "<string>",
"proactive": "<string>"
},
"role": {
"root": "<string>",
"subagent": "<string>"
}
},
"permissions": {
"approved_command_prefix_saved": "<string>",
"approved_prefixes": "<string>",
"danger_full_access": "<string>",
"denied_reads": "<string>",
"omitted_paths": "<string>",
"read_only": "<string>",
"workspace_write": "<string>",
"writable_root": "<string>",
"writable_roots": "<string>"
},
"persistent_instructions": "<string>",
"token_budget": {
"auto_compact_fallback_buffer_tokens": 123,
"auto_compact_fallback_prompt": "<string>",
"enabled": false,
"guidance_message": "<string>",
"reminder_message_template": "<string>",
"reminder_threshold_tokens": 123,
"use_history_notes_extension": false
},
"tools": {
"code_mode": {
"deferred_nested_tools_guidance": "<string>",
"exec": {
"description": "<string>",
"parameters": "<string>"
},
"mcp_typescript_preamble": "<string>",
"wait": {
"description": "<string>",
"parameters": "<string>"
}
},
"context_management": {
"get_context_remaining": {
"description": "<string>",
"parameters": "<string>"
},
"new_context": {
"description": "<string>",
"parameters": "<string>"
}
},
"functions_namespace_functions_description_prefixes": {},
"history": {
"list_items": {
"description": "<string>",
"parameters": "<string>"
},
"list_windows": {
"description": "<string>",
"parameters": "<string>"
},
"namespace_description": "<string>",
"read_item": {
"description": "<string>",
"parameters": "<string>"
},
"search_contents": {
"description": "<string>",
"parameters": "<string>"
}
},
"incremental_tools": {
"namespace_instructions_cleared": "<string>",
"namespace_instructions_prefix": "<string>",
"removed_namespaces_header": "<string>",
"removed_tools_header": "<string>",
"tool_update_hint": "<string>"
},
"indirect_description_prefixes": {
"mcp_servers": {},
"namespaces": {}
},
"mcp_resources": {
"list_mcp_resource_templates": {
"description": "<string>",
"parameters": "<string>"
},
"list_mcp_resources": {
"description": "<string>",
"parameters": "<string>"
},
"read_mcp_resource": {
"description": "<string>",
"parameters": "<string>"
}
},
"multi_agent": {
"create_channel": {
"description": "<string>",
"parameters": "<string>"
},
"followup_task": {
"description": "<string>",
"parameters": "<string>"
},
"get_channels": {
"description": "<string>",
"parameters": "<string>"
},
"interrupt_agent": {
"description": "<string>",
"parameters": "<string>"
},
"list_agents": {
"description": "<string>",
"parameters": "<string>"
},
"list_threads": {
"description": "<string>",
"parameters": "<string>"
},
"post": {
"description": "<string>",
"parameters": "<string>"
},
"read_post": {
"description": "<string>",
"parameters": "<string>"
},
"read_thread": {
"description": "<string>",
"parameters": "<string>"
},
"search_posts": {
"description": "<string>",
"parameters": "<string>"
},
"send_message": {
"description": "<string>",
"parameters": "<string>"
},
"spawn_agent": {
"description": "<string>",
"parameters": "<string>"
},
"subscribe": {
"description": "<string>",
"parameters": "<string>"
},
"unsubscribe": {
"description": "<string>",
"parameters": "<string>"
},
"wait_agent": {
"description": "<string>",
"parameters": "<string>"
}
},
"notes": {
"append_to_file": {
"description": "<string>",
"parameters": "<string>"
},
"list_files_by_prefix": {
"description": "<string>",
"parameters": "<string>"
},
"namespace_description": "<string>",
"read_file": {
"description": "<string>",
"parameters": "<string>"
},
"search_contents": {
"description": "<string>",
"parameters": "<string>"
},
"write_file": {
"description": "<string>",
"parameters": "<string>"
}
},
"send_user_message_async": {
"description": "<string>",
"parameters": "<string>"
}
}
},
"model_specialty": "<string>",
"multi_agent_reasoning_effort": "none",
"multi_agent_version": "disabled",
"node_repl_auto_review_required": true,
"node_repl_disabled": true,
"output_modalities": [
"<string>"
],
"prefer_websockets": true,
"priority": 123,
"requires_sandboxed_review": true,
"service_tiers": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"shell_type": "unified_exec",
"shutdown_date": "<string>",
"slug": "<string>",
"support_verbosity": true,
"supported_actions": [
"<string>"
],
"supported_in_api": true,
"supported_parameters": [
"<string>"
],
"supported_reasoning_levels": [
{
"description": "<string>",
"effort": "none"
}
],
"supports_experimental_context": true,
"supports_image_detail_original": true,
"supports_parallel_tool_calls": true,
"supports_reasoning_effort_updates": true,
"supports_reasoning_summaries": true,
"supports_reasoning_summary_parameter": true,
"supports_search_tool": true,
"thinking_supported": true,
"tool_mode": "direct",
"truncation_policy": {
"limit": 123,
"mode": "bytes"
},
"upgrade": {
"migration_markdown": "<string>",
"model": "<string>",
"retirement_at": "<string>"
},
"use_responses_lite": true,
"visibility": "list",
"web_search_tool_type": "text"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Forwarding
GET /v1/models
Available at the instance root or under a provider/namespace prefix. Shared paths select the wire dialect from client headers; without dialect evidence, the first listed route wins.
GET
/
v1
/
models
GET /v1/models
curl --request GET \
--url https://api.example.com/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [],
"object": "list",
"models": [
{
"created": 123,
"object": "model",
"owned_by": "<string>",
"additional_speed_tiers": [
"<string>"
],
"apply_patch_tool_type": "freeform",
"auto_compact_token_limit": 123,
"auto_review_model_override": "<string>",
"availability_nux": {
"message": "<string>"
},
"available_access_programs": {
"cyber": [
"standard"
]
},
"available_in_plans": [
"<string>"
],
"base_instructions": "<string>",
"comp_hash": "<string>",
"context_window": 1,
"default_reasoning_level": "none",
"default_reasoning_summary": "auto",
"default_service_tier": "<string>",
"default_verbosity": "low",
"description": "<string>",
"display_name": "<string>",
"effective_context_window_percent": 123,
"experimental_supported_tools": [
"<string>"
],
"generation_methods": [
"<string>"
],
"guardian": {
"computer_use": "disabled",
"file_changes": "disabled",
"initial_cua_call": true,
"mcp": "disabled",
"network": "disabled",
"other_tools": "disabled",
"permissions": "disabled",
"sandboxed_exec_commands": true,
"shell": "disabled",
"unscored_action": "ignore"
},
"id": "<string>",
"include_apps_usage_instructions": true,
"include_plugin_usage_instructions": true,
"include_skills_usage_instructions": true,
"input_modalities": [
"<string>"
],
"instructions": "<string>",
"max_context_window": 1,
"max_output_tokens": 1,
"minimal_client_version": "<string>",
"model_messages": {
"approvals": {
"auto_review_suffix": "<string>",
"granular": {
"intro": "<string>",
"prompted_categories": "<string>",
"rejected_categories": "<string>"
},
"never": "<string>",
"on_request": "<string>",
"on_request_auto_review": "<string>",
"request_permissions": "<string>",
"unless_trusted": "<string>"
},
"apps": {
"usage_instructions": "<string>"
},
"auto_review": {
"node_repl_policy": "<string>",
"policy": "<string>",
"policy_template": "<string>",
"rejection_instructions": "<string>",
"timeout_instructions": "<string>"
},
"collaboration_modes": {
"default": "<string>",
"plan": "<string>"
},
"confirmation_policies": {
"browser_use": "<string>",
"computer_use": "<string>"
},
"content_filter_guidance": "<string>",
"guardian_v2": {
"async_classifier_conversation_token_limit": 1,
"async_classifier_mode": "snapshot",
"classifier_instructions": "<string>",
"max_action_tokens": 1,
"max_classifier_instruction_tokens": 1,
"max_parent_compaction_tokens": 1,
"max_tool_call_lag": 1,
"reasoning_effort": "none",
"reuse_parent_compaction": true,
"review_threshold_basis_points": 32767,
"transcript": {
"include_images": true,
"max_message_entry_tokens": 1,
"max_message_transcript_tokens": 1,
"max_recent_non_user_entries": 1,
"max_tool_entry_tokens": 1,
"max_tool_transcript_tokens": 1,
"sources": [
"<string>"
]
}
},
"instructions_template": "<string>",
"instructions_variables": {
"personality_default": "<string>",
"personality_friendly": "<string>",
"personality_pragmatic": "<string>"
},
"multi_agent": {
"mode": {
"explicit": "<string>",
"hint_text": "<string>",
"proactive": "<string>"
},
"role": {
"root": "<string>",
"subagent": "<string>"
}
},
"permissions": {
"approved_command_prefix_saved": "<string>",
"approved_prefixes": "<string>",
"danger_full_access": "<string>",
"denied_reads": "<string>",
"omitted_paths": "<string>",
"read_only": "<string>",
"workspace_write": "<string>",
"writable_root": "<string>",
"writable_roots": "<string>"
},
"persistent_instructions": "<string>",
"token_budget": {
"auto_compact_fallback_buffer_tokens": 123,
"auto_compact_fallback_prompt": "<string>",
"enabled": false,
"guidance_message": "<string>",
"reminder_message_template": "<string>",
"reminder_threshold_tokens": 123,
"use_history_notes_extension": false
},
"tools": {
"code_mode": {
"deferred_nested_tools_guidance": "<string>",
"exec": {
"description": "<string>",
"parameters": "<string>"
},
"mcp_typescript_preamble": "<string>",
"wait": {
"description": "<string>",
"parameters": "<string>"
}
},
"context_management": {
"get_context_remaining": {
"description": "<string>",
"parameters": "<string>"
},
"new_context": {
"description": "<string>",
"parameters": "<string>"
}
},
"functions_namespace_functions_description_prefixes": {},
"history": {
"list_items": {
"description": "<string>",
"parameters": "<string>"
},
"list_windows": {
"description": "<string>",
"parameters": "<string>"
},
"namespace_description": "<string>",
"read_item": {
"description": "<string>",
"parameters": "<string>"
},
"search_contents": {
"description": "<string>",
"parameters": "<string>"
}
},
"incremental_tools": {
"namespace_instructions_cleared": "<string>",
"namespace_instructions_prefix": "<string>",
"removed_namespaces_header": "<string>",
"removed_tools_header": "<string>",
"tool_update_hint": "<string>"
},
"indirect_description_prefixes": {
"mcp_servers": {},
"namespaces": {}
},
"mcp_resources": {
"list_mcp_resource_templates": {
"description": "<string>",
"parameters": "<string>"
},
"list_mcp_resources": {
"description": "<string>",
"parameters": "<string>"
},
"read_mcp_resource": {
"description": "<string>",
"parameters": "<string>"
}
},
"multi_agent": {
"create_channel": {
"description": "<string>",
"parameters": "<string>"
},
"followup_task": {
"description": "<string>",
"parameters": "<string>"
},
"get_channels": {
"description": "<string>",
"parameters": "<string>"
},
"interrupt_agent": {
"description": "<string>",
"parameters": "<string>"
},
"list_agents": {
"description": "<string>",
"parameters": "<string>"
},
"list_threads": {
"description": "<string>",
"parameters": "<string>"
},
"post": {
"description": "<string>",
"parameters": "<string>"
},
"read_post": {
"description": "<string>",
"parameters": "<string>"
},
"read_thread": {
"description": "<string>",
"parameters": "<string>"
},
"search_posts": {
"description": "<string>",
"parameters": "<string>"
},
"send_message": {
"description": "<string>",
"parameters": "<string>"
},
"spawn_agent": {
"description": "<string>",
"parameters": "<string>"
},
"subscribe": {
"description": "<string>",
"parameters": "<string>"
},
"unsubscribe": {
"description": "<string>",
"parameters": "<string>"
},
"wait_agent": {
"description": "<string>",
"parameters": "<string>"
}
},
"notes": {
"append_to_file": {
"description": "<string>",
"parameters": "<string>"
},
"list_files_by_prefix": {
"description": "<string>",
"parameters": "<string>"
},
"namespace_description": "<string>",
"read_file": {
"description": "<string>",
"parameters": "<string>"
},
"search_contents": {
"description": "<string>",
"parameters": "<string>"
},
"write_file": {
"description": "<string>",
"parameters": "<string>"
}
},
"send_user_message_async": {
"description": "<string>",
"parameters": "<string>"
}
}
},
"model_specialty": "<string>",
"multi_agent_reasoning_effort": "none",
"multi_agent_version": "disabled",
"node_repl_auto_review_required": true,
"node_repl_disabled": true,
"output_modalities": [
"<string>"
],
"prefer_websockets": true,
"priority": 123,
"requires_sandboxed_review": true,
"service_tiers": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"shell_type": "unified_exec",
"shutdown_date": "<string>",
"slug": "<string>",
"support_verbosity": true,
"supported_actions": [
"<string>"
],
"supported_in_api": true,
"supported_parameters": [
"<string>"
],
"supported_reasoning_levels": [
{
"description": "<string>",
"effort": "none"
}
],
"supports_experimental_context": true,
"supports_image_detail_original": true,
"supports_parallel_tool_calls": true,
"supports_reasoning_effort_updates": true,
"supports_reasoning_summaries": true,
"supports_reasoning_summary_parameter": true,
"supports_search_tool": true,
"thinking_supported": true,
"tool_mode": "direct",
"truncation_policy": {
"limit": 123,
"mode": "bytes"
},
"upgrade": {
"migration_markdown": "<string>",
"model": "<string>",
"retirement_at": "<string>"
},
"use_responses_lite": true,
"visibility": "list",
"web_search_tool_type": "text"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
beareranthropicKeygoogleKeyqueryKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.